package com.dcit.authority.service;

import java.util.List;

import com.dcit.authority.model.SysResources;
import com.dcit.authority.model.SysResourcesExample;

public interface SysResourcesService {
	
	int countByExample(SysResourcesExample example);

    int deleteByExample(SysResourcesExample example);

    int deleteByPrimaryKey(String id);

    int insert(SysResources record);

    int insertSelective(SysResources record);

    List<SysResources> selectByExample(SysResourcesExample example);

    SysResources selectByPrimaryKey(String id);

    int updateByExampleSelective(SysResources record, SysResourcesExample example);

    int updateByExample(SysResources record, SysResourcesExample example);

    int updateByPrimaryKeySelective(SysResources record);

    int updateByPrimaryKey(SysResources record);
	
    List<SysResources> getAuthorityMenusByUid(String uid);

    List<SysResources> getMenus();

    boolean addMenu(SysResources menu);

    boolean modifyMenu(SysResources menu);

    boolean deleteMenuByMenuId(String menuId);

    List<SysResources> getApiTeamList();

    List<SysResources> getApiList();

    List<SysResources> getApiListByTeamId(String teamId);

    List<SysResources> getAuthorityApisByRoleId(String roleId);

    List<SysResources> getAuthorityMenusByRoleId(String roleId);

    List<SysResources> getNotAuthorityApisByRoleId(String roleId);

    List<SysResources> getNotAuthorityMenusByRoleId(String roleId);

}
